Skip to main content
`Ctrl`+`K`

# MatSeqAIJRegister

- Adds a new sub-matrix type for sequential `MATSEQAIJ` matrices

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJRegister(const char sname[], PetscErrorCode (*function)(Mat, MatType, MatReuse, Mat *))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of a new user-defined matrix type, for example `MATSEQAIJCRL`

- function - routine to convert to subtype

## Notes

`MatSeqAIJRegister()` may be called multiple times to add several user-defined solvers.

Then, your matrix can be chosen with the procedural interface at runtime via the option

      -mat_seqaij_type my_mat

## See Also

Matrices, `Mat`, `MatSeqAIJRegisterAll()`

## Level

advanced

## Location

src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages